Bug 245016 - www/nextcloud: Update to 18.0.3
Summary: www/nextcloud: Update to 18.0.3
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Bernard Spil
URL:
Keywords: security
Depends on:
Blocks:
 
Reported: 2020-03-23 21:26 UTC by Marko Cupać
Modified: 2020-03-25 03:13 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brnrd)
koobs: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2020-03-23 21:26:19 UTC
Hi,

guessing from rushed 18.0.3 update (not even in github repo yet, no changelog) it appears that Nextcloud 18.0.2 has some nasty bug.

Quote from a contributor: "Please make sure to update your instance soon It's better to have that fix"

https://github.com/nextcloud/server/issues/20119#issuecomment-602838544

Any chance to have get new version in ports?

Thank you in advance,
Comment 1 Bernard Spil freebsd_committer 2020-03-23 21:45:11 UTC
Thanks for the heads-up, expect a commit to land in a bit!
Comment 2 commit-hook freebsd_committer 2020-03-23 21:51:29 UTC
A commit references this bug:

Author: brnrd
Date: Mon Mar 23 21:51:25 UTC 2020
New revision: 529009
URL: https://svnweb.freebsd.org/changeset/ports/529009

Log:
  www/nextcloud: Security update to 18.0.3

   - Further vuln info not yet disclosed

  PR:		245016
  Reported by:	Marko Cupac <marko cupac mimar rs>
  MFH:		2020Q1

Changes:
  head/www/nextcloud/Makefile
  head/www/nextcloud/distinfo
  head/www/nextcloud/pkg-plist
Comment 3 Bernard Spil freebsd_committer 2020-03-23 21:54:24 UTC
Thanks again Marko!
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-24 03:21:59 UTC
^Triage: Re-open pending VuXML entry and MFH
Comment 5 commit-hook freebsd_committer 2020-03-24 10:50:14 UTC
A commit references this bug:

Author: brnrd
Date: Tue Mar 24 10:49:36 UTC 2020
New revision: 529041
URL: https://svnweb.freebsd.org/changeset/ports/529041

Log:
  MFH: r523571 r525962 r528407 r529009

  www/nextcloud: Update to 18.0.0

  www/nextcloud: Update to 18.0.1

  www/nextcloud: Update to 18.0.2

  www/nextcloud: Security update to 18.0.3

   - Further vuln info not yet disclosed

  PR:		245016
  Reported by:	Marko Cupac <marko cupac mimar rs>

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/www/nextcloud/Makefile
  branches/2020Q1/www/nextcloud/distinfo
  branches/2020Q1/www/nextcloud/files/pkg-message.in
  branches/2020Q1/www/nextcloud/pkg-plist